/// #pkgName FGUI包名
/// #panelName UIPanel名字
/// #UIName = $"{#pkgName}{#panelName}" UIKey名字
/// 该脚本由模板创建
/// created by cb 2024

using XGame.Framework.UI;

namespace FL.FGUI
{
    public static partial class UIKeys
    {
        private static UIKey _PlayerDetailsAttribute;
        public static UIKey PlayerDetailsAttribute => _PlayerDetailsAttribute ?? (_PlayerDetailsAttribute = new UIKey("Player", "DetailsAttribute", typeof(PlayerDetailsAttributeView)));
    }
    public partial class PlayerDetailsAttributeView : UIView
    {
        public static UILayer Layer => UILayer.Popup;
        protected override void AddController(IUIControllerGroup group)
        {
            group.Add(new PlayerDetailsAttributeCtrl());
        }

        protected override IUIViewModel CreateViewModel()
        {
            return new PlayerDetailsAttributeVM();
        }

        protected override void OnDispose()
        {
        }
    }
}

